SMM panel API v2 documentation

Same request format as the API v2 used across SMM panels. Create your API key on the API page of the console; it works once your first top-up is credited.

HTTP methodPOST (GET)
API URLhttps://bropanel2.com/api/v2
Request formatapplication/x-www-form-urlencoded, JSON
Response formatJSON
Request limit120 requests per minute per key

Service list

ParameterDescription
keyAPI key
actionservices

Response example

[
  {
    "service": 1,
    "name": "Instagram Followers",
    "type": "Default",
    "category": "Instagram Followers",
    "rate": "0.1234",
    "min": "10",
    "max": "100000",
    "refill": true,
    "cancel": false
  }
]

Place order

ParameterDescription
keyAPI key
actionadd
serviceService ID
linkPage link to order
quantityQuantity (within the service min and max)

Response example

{
  "order": 100231
}

Order status

ParameterDescription
keyAPI key
actionstatus
orderOrder ID

Response example

{
  "charge": "0.27819",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}

Multiple order statuses

ParameterDescription
keyAPI key
actionstatus
ordersOrder IDs, comma-separated (max 100)

Response example

{
  "100231": { "charge": "0.27819", "start_count": "3572", "status": "Partial", "remains": "157", "currency": "USD" },
  "100232": { "error": "Incorrect order ID" }
}

Request refill

ParameterDescription
keyAPI key
actionrefill
orderOrder ID (multiple: orders)

Response example

{
  "refill": "1"
}

Refill status

ParameterDescription
keyAPI key
actionrefill_status
refillRefill ID (multiple: refills)

Response example

{
  "status": "Completed"
}

Cancel order

ParameterDescription
keyAPI key
actioncancel
ordersOrder IDs, comma-separated (max 100)

Response example

[
  { "order": 100231, "cancel": 1 },
  { "order": 100232, "cancel": { "error": "Incorrect order ID" } }
]

Balance

ParameterDescription
keyAPI key
actionbalance

Response example

{
  "balance": "100.84292",
  "currency": "USD"
}

Error response

If request fails, reason is returned in single error field.

{ "error": "Invalid API key" }
{ "error": "Incorrect service ID" }
{ "error": "Quantity is out of the service range" }
{ "error": "Not enough funds on balance" }

PHP example

<?php
$post = ['key' => 'YOUR_API_KEY', 'action' => 'add', 'service' => 1,
         'link' => 'https://instagram.com/yourname', 'quantity' => 1000];
$ch = curl_init('https://bropanel2.com/api/v2');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$result = json_decode(curl_exec($ch));
echo $result->order;